# `abacusai.generated_pit_feature_config_option`

## Module Contents

### Classes

`GeneratedPitFeatureConfigOption` | The options to display for possible generated PIT aggregation functions

class abacusai.generated_pit_feature_config_option.GeneratedPitFeatureConfigOption(client, name=None, displayName=None, default=None, description=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  The options to display for possible generated PIT aggregation functions

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - name (str) – The short name of the aggregation type.

    - displayName (str) – The display name of the aggregation type.

    - default (bool) – The default value for the option.

    - description (str) – The description of the aggregation type.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict